#################################
# * An open-source simulator and research code in modern C++
#################################

dumux:
  extends: .build_aur_template
  tags: [saas-linux-small-amd64]
  stage: .pre
  variables:
    PACKAGE: "dumux"
    ISDEPENDS: "true"
    DEPENDENCIES_PACKAGE: "python-portalocker-*.pkg.tar.zst dune-common-*.pkg.tar.zst dune-geometry-*.pkg.tar.zst dune-uggrid-*.pkg.tar.zst alberta-*.pkg.tar.zst dune-grid-*.pkg.tar.zst dune-istl-*.pkg.tar.zst dune-localfunctions-*.pkg.tar.zst"
  after_script:
    - sudo pacman -U ${CI_PROJECT_DIR}/${ARCHITECTURE}/*.pkg.tar.zst --noconfirm >/dev/null 2>&1
    - python -c "import $(echo ${PACKAGE})"
    - printf 'y\n' | duneproject ${PROJECT} ${DEPENDENCIES} ${VERSION} ${MAINTAINER}
    - cmake -S ${PROJECT} -B build -Wno-dev
    - cmake --build build
    - mpirun -np 1 --oversubscribe ./build/src/${PROJECT}
  needs:
    [
      "python-portalocker",
      "dune-common",
      "dune-geometry",
      "dune-uggrid",
      "alberta",
      "dune-grid",
      "dune-istl",
      "dune-localfunctions",
    ]
